#include <boost/filesystem/operations.hpp>
#include <iostream>

int main(int argc,char **argv) {
  if(argc<2) {
    std::cerr << "Usage: " << *argv << " <file> ..." << std::endl;
    return 1;
  }
  try {
    for(int i=1;i<argc;++i)
      std::cout << boost::filesystem::remove_all(argv[i]) << " files removed"
		<< std::endl;
  }
  catch(std::exception &e) {
    std::cerr << "Error: " << e.what() << std::endl;
    return 1;
  }
  catch(...) {
    std::cerr << "Error: unkown exception" << std::endl;
    return 1;
  }
}
